/*
 *Header:
 *File: old_types.h 
 *Author: Noda Itsuki
 *Date: 1996/11/
 *EndHeader:
 */

typedef struct {
	char	enable ;
	short	angle ;
	short	x ;
	short	y ;
	char	side ;
	char	unum ;
} old_pos_t ;

typedef struct {
	char	name[16] ;
	char	score ;
} old_team_t ;

typedef struct {
	old_pos_t	pos[23] ;
	char		pmode ;
	old_team_t	team[2] ;
	short		gwidth ;
	int			time ;
} old_showinfo_t ;

typedef	struct {
	char	board ;
	char	message[2048] ;
} old_msginfo_t ;

typedef struct {
	char	mode ;
	union {
		old_showinfo_t	show ;
		old_msginfo_t	msg ;
	} body ;
} old_dispinfo_t ;

